//Copyright (C) 2012-present by nodeable limited ("nodeable") -
//www.nodeable.io.com and other contributors as listed below.
//All Rights Reserved.
//
//Permission is hereby granted, free of charge, to any person
//obtaining a copy of this software and associated documentation
//files (the "Software"), to deal in the Software without
//restriction except as noted below, including without limitation
//the rights to use,copy, modify, merge, publish, distribute,
//and/or sublicense, and to permit persons to whom the Software is
//furnished to do so, subject to the following conditions:
//
// The Software and/or source code cannot be copied in whole and
// sold without meaningful modification for a profit.
//
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
//
// Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in
// the documentation and/or other materials provided with
// the distribution.
//
//THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
//OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
//HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
//FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
//OTHER DEALINGS IN THE SOFTWARE.

//importClass(java.io.File);
//importClass(Packages.org.apache.tools.ant.util.FileUtils);
//importClass(java.io.FileReader);

var JsonString = attributes.get("attr1");
// var JsonData = JSON.parse(JsonString);
var JsonData = eval('(' + JsonString + ')');

var RootProperties = JsonData.Properties;
var PropertyString;
var PropertyName;
var PropertyValue;

for ( var x in RootProperties) {
	var Properties = RootProperties[x];

	if (typeof Properties !== 'object') {
		PropertyName = x;
		PropertyValue = RootProperties[x];
		ParseAndSetProperty(PropertyName, PropertyValue);
	}
}

for ( var x in RootProperties) {
	var Properties = RootProperties[x];

	if (typeof Properties === 'object') {
		for ( var i in Properties) {
			var object = Properties[i];

			for ( var property in object) {
				if (x !== "Build" && x !== "Rtb") {
					PropertyName = x + property;
				} else {
					PropertyName = property;
				}
				PropertyValue = object[property];
				ParseAndSetProperty(PropertyName, PropertyValue);
			}
		}
	}
}

function ParseAndSetProperty(propertyname, propertyvalue) {
	if (project.getProperty(PropertyName) === null) {

		ReplacedPropertyValue = project.replaceProperties(propertyvalue);

		project.setProperty(propertyname, ReplacedPropertyValue);

		if (project.getProperty("BuildDebug") == "true") {
            if (propertyname.match(/Password/) === null) {
                self.log(propertyname + "=" + project.getProperty(propertyname));
            } else {
                if (project.getProperty(propertyname) > "") {
                    self.log(propertyname + "= **********" );
                } else {
                    self.log(propertyname + "=");
                }
            }
		}
	}
}