/*********************************************************************
 Copyright (C) 2012-present by nodeable limited ("nodeable") -
 www.nodeable.io.com and other contributors as listed below.
 All Rights Reserved.

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation
files (the "Software"), to deal in the Software without
restriction except as noted below, including without limitation
the rights to use,copy, modify, merge, publish, distribute,
and/or sublicense, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

 The Software and/or source code cannot be copied in whole and
 sold without meaningful modification for a profit.

 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.

 Redistributions of source code must retain the above copyright
 notice, this list of conditions and the following disclaimer.

 Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in
 the documentation and/or other materials provided with
 the distribution.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.
*********************************************************************/
/*------------------------------------------------------------------------
   File        : RTBAutomationApi - appSolute Roundtable Automation Toolkit API - extended class
   Purpose     : This is the main appSolute Roundtable Automation Toolkit (ARAT) API that gets used by code and scripts.
                 It inherites a base class, and can be used to perform overrides of standard ARAT features -
                 making it possible to leave the base class alone and not customize it.
   Syntax      :
   Description :
   Author(s)   : Thomas Hansen / appSolutions
   Created     : Tue Oct 30 14:06:58 CET 2012
   Notes       : It is recommended that any customizations made to the ARAT Toolkit, and not to
                 appSolutions.appSolute.RTB.Base.ADRTBApi

 ----------------------------------------------------------------------*/

USING Progress.Lang.*.
USING appSolutions.appSolute.RTB.* FROM PROPATH.
USING scm.custom.rtb.utils.*       FROM PROPATH.

ROUTINE-LEVEL ON ERROR UNDO, THROW.

CLASS appSolutions.appSolute.RTB.RTBAutomationApi
    INHERITS appSolutions.appSolute.RTB.Base.RTBAutomationApi:


    /*------------------------------------------------------------------------------
            Purpose:
            Notes:
    ------------------------------------------------------------------------------*/

    METHOD PUBLIC OVERRIDE VOID init():

        SUPER:init().

    END METHOD.

END CLASS.
